# List custom fields

List custom fields under the same account

Endpoint: GET /v1/fields
Version: 1.0.0-beta
Security: OAuth2

## Query parameters:

  - `field_id[]` (array,null)
    The Brex identifiers of the field to filter by
    Example: "extended_field_foobar"

  - `cursor` (string,null)
    The cursor to use for pagination. This is the next_cursor value returned from the previous response.

  - `limit` (integer,null)
    Controls the maximum number of field values returned in the response. It can't be greater than 1000.

## Response 200 fields (application/json):

  - `next_cursor` (string,null)

  - `items` (array, required)

  - `items.brex_id` (string, required)
    The internal Brex ID of the field
    Example: "extended_field_foobar"

  - `items.name` (string,null, required)
    The name of the field

  - `items.remote_id` (string,null)
    Remote/external ID of custom field from external system (e.g. ERP or HRIS system)
    Example: "foo_bar"

  - `items.updated_at` (string, required)
    The last updated timestamp of the field

  - `items.is_disabled` (boolean, required)
    Indicates if the field is disabled

  - `items.group` (string,null)
    The category of the field, indicating its purpose or context. For example, it could belong to accounting-related fields or user-related fields.
    Enum: "ACCOUNTING", "USER", "ERP", "TRAVEL"


## Response 400 fields

## Response 401 fields

## Response 403 fields

## Response 500 fields
